/* ------------------------------ Create a user account and schema for GGLE */

/* Fragment 1 */
CREATE USER "ggle" WITH PASSWORD 'gsa#1' NAME 'GGLE Admin' SCHEMA "sys";

CREATE SCHEMA "ggle1" AUTHORIZATION "ggle";

ALTER USER "ggle" SCHEMA "ggle1";
COMMIT;


/* Fragment 2 */
CREATE USER "ggle" WITH PASSWORD 'gsa#1' NAME 'GGLE Admin' SCHEMA "sys";

CREATE SCHEMA "ggle" AUTHORIZATION "ggle";

ALTER USER "ggle" SCHEMA "ggle";
COMMIT;



/* ------------------------------------------------------- create the tables */
/* Both Fragments */

CREATE TABLE Entry
(
	EntryId		INT		UNIQUE 	NOT NULL,
	Domain		VARCHAR(50) 	NOT NULL,
	Path		VARCHAR(100) 	NOT NULL,
	Page		VARCHAR(50),
	URL			VARCHAR(200)	NOT NULL,
	DOC			DATE,
	DOM			DATE,
	PageSize	INT,
	
	PRIMARY KEY (EntryId)
);

CREATE TABLE Link
(
	LinkId		INT		UNIQUE	NOT NULL,
	Entry		INT		NOT NULL,
	Domain		VARCHAR(50) 	NOT NULL,
	Path		VARCHAR(100),
	Page		VARCHAR(50),
	URL			VARCHAR(200)	NOT NULL,
	LinksTo		INT,
	
	PRIMARY KEY (LinkId)
);
COMMIT;
